package dcworms.schedframe.scheduling;

import java.util.List;

import schedframe.scheduling.tasks.TaskInterface;
import schedframe.scheduling.tasks.phases.ResourceConsumption;
import schedframe.scheduling.tasks.requirements.ResourceParameterName;

public interface ExecTask extends TaskInterface<org.qcg.broker.schemas.resreqs.Task> {

	public boolean expectSpecificResource(ResourceParameterName resourceName);	
	public Object getExpectedSpecificResource(ResourceParameterName resourceName);

	public void trackResource(String resName);
	public List<String> getVisitedResources();
	
	public ResourceConsumption getCurrentResourceConsumption();
}
